.TH IPPL 8 "Last change: 3 February 1999"

.SH NAME
ippl.conf \- IP Protocols Logger configuration file

.SH DESCRIPTION
The
.I ippl.conf
file is the only configuration file for the
.BR ippl
logger. It defines what protocols to log, and the kind of packets to
log.

A hash mark (``#'') indicates that the end of the line is a comment
and it will therefore not be read.

.SH PROTOCOLS

Each protocol is run by an different thread. To run a thread, use the:

.B Syntax:
run [protocol] [protocol] ...
.PP
.I protocol 
can be:

.I icmp
to specify that the thread logging ICMP messages should be run.
.PP
.I tcp
to specify that the thread logging TCP connections should be run.
.PP
.I udp
to specify that the thread logging UDP datagrams should be run.
.PP
.I all
to log all the protocols.

.SH RULES

When a thread is run, it will catch all the packets using the protocol
logged. The user may want to ignore certain packets. This is done with
Apache-like rules.
.PP
There are two different types of rules. The first one describes what
packets to log, and the second one describes the packets that should
be ignored. The syntax of a rule is as follows:

.B Syntax:
[log|ignore] [protocol] [description]

.I log
means that the packets described should be logged and
and
.I ignore
is used if the user does not want to log a certain type of packets.

.SS Protocol
.PP
protocol is one of the supported protocols (see the protocols section) , or
.I all
can be used to specify that the rule applies to all the protocols.

.SS Description
.PP
.I description
holds the type of packet and the hosts to which the rule
applies.
.PP
.I Type of packet:
.PP
   type <number>   Specify an ICMP message type.
   port <number>   Specify a TCP or UDP port number.
   port <name>     Specify a TCP or UDP port name.
.PP
number is specified like this:
   n               Number n.
   n--             Every number m >= n.
   --n             Every number m <= n.
   l--k            Every number m, with l <= m <= k.
   string          If a string is specified, it is
                     either the name of a service
                     (see /etc/services) or an
                     ICMP message.
                   Keywords for ICMP messages are:
                     echo_reply      0
                     dest_unreach    3
                     src_quench      4
                     redirect        5
                     echo_req        8
                     router_advert   9
                     router_solicit  10
                     time_exceeded   11
                     param_problem   12
                     ts_req          13
                     ts_reply        14
                     info_req        15
                     info_reply      16
                     addr_mask_req   17
                     addr_mask_reply 18
.PP
.I Source of the packets:
.PP
   from <host>
.PP
where host is specifed as follows:
   x.x.x.x         IP address of a host
   x.x.x.x/x.x.x.x IP address, followed by a network mask to specify a
subnet
   host.net.domain host name (wildcards accepted)
.PP
Please note that rules using IP addresses are faster to check than
rules using host names.
.PP
If you log UDP, we *strongly* recommend to ignore the broadcasts!
(until we implement an option for that).

.SH FILES
 CONFIGURATION_FILE - configuration file
 /usr/doc/ippl/* - files worth reading if you still have a question

.SH SEE ALSO
ippl(8)

.SH AUTHORS
Hugo Haas (hugo@via.ecp.fr)
Etienne Bernard (eb@via.ecp.fr)
